
@sizeSmall  : 32px;
@sizeMedium : 48px;
@sizeLarge  : 64px;

.root {
  border-radius: 50%;
  opacity: 0;
}

.small {
  width: @sizeSmall * 1.2;
  height: @sizeSmall * 1.2;
  padding: @sizeSmall * 0.1;

  .container {
    width: @sizeSmall;
    height: @sizeSmall;
  }
}

.medium {
  width: @sizeMedium * 1.2;
  height: @sizeMedium * 1.2;
  padding: @sizeMedium * 0.1;

  .container {
    width: @sizeMedium;
    height: @sizeMedium;
  }
}

.large {
  width: @sizeLarge * 1.2;
  height: @sizeLarge * 1.2;
  padding: @sizeLarge * 0.1;
}

.rootCentered {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
}

.rootVisible {
  opacity: 1;
}

.container {
  position: relative;
  fill: #e8462b;
}

.icons {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
}

.gear {
  animation-name: spin;
  animation-duration: 2500ms;
  animation-iteration-count: infinite;
  animation-timing-function: ease;
}

@keyframes spin {
  from { transform: rotate(0deg) };
  to { transform: rotate(360deg) };
}
